Subject: Re: [PATCH] tcp repair: Fix unaligned access when repairing options (v2)

From: Pavel Emelyanov <[email-masked]>
Date: Thu, 26 Apr 2012 13:41:14 +0400

On 04/26/2012 01:23 PM, David Miller wrote:
> From: Pavel Emelyanov <[email-masked]>
> Date: Thu, 26 Apr 2012 12:50:57 +0400
> 
>> Don't pick __u8/__u16 values directly from raw pointers, but instead use
>> an array of structures of code:value pairs. This is OK, since the buffer
>> we take options from is not an skb memory, but a user-to-kernel one.
>>
>> For those options which don't require any value now, require this to be
>> zero (for potential future extension of this API).
>>
>> v2: Changed tcp_repair_opt to use two __u32-s as spotted by David Laight.
>>
>> Signed-off-by: Pavel Emelyanov <[email-masked]>
> 
> Hmmm, this didn't show up on netdev, I wonder why?

So do I :( I haven't received any mail with errors from netdev, neither
Parallels mail server reported any problems.

I will resubmit this one again.

Thanks,
Pavel